package com.hzya.frame.ningboBankTreasury.dto.res;

/**
 * @Description 宁波银行 境内交易明细返回参数
 * @Author xiangerlin
 * @Date 2024/7/24 16:53
 **/
public class AccTransactionRes {
    //账号
    private String bankAcc;
    private String bankSubAcc;
    //户名
    private String accName;
    //开户行名
    private String bankName;
    //对方户名
    private String oppAccName;
    //对方账号
    private String oppAccNo;
    //对方开户行名
    private String oppAccBank;
    //收支方向 0支出 1支出
    private String cdSign;
    //业务类型 收、支、其他
    private String cdSignName;
    //交易金额
    private String amt;
    //明细余额
    private String bal;
    //时间
    private String transTime;
    //子流水号
    private String subSerialNo;
    //交易流水号
    private String serialNo;
    //币种编号
    private String curCode;
    //用途
    private String uses;
    //摘要
    private String abs;
    //回单匹配号
    private String voucherNo;
    //银行类别代码
    private String bifCode;
    //银行类别
    private String bankType;
    //对方银行类别
    private String oppBankType;
    //对公、对私标志 0对公 1对私
    private String isForIndividual;
    //流水号 这个字段是唯一的
    private String serialId;
    //银行交易流水号
    private String bankSerialId;
    //集团内交易
    private String groupTrans;
    //资金划拨
    private String capitalTrans;
    //交易备注
    private String postScript;
    private String accType;
    private String accTypeName;
    //现转标识
    private String cashTfrFlg;
    //国 开 行 所属 分 行号
    private String chinaDevelopBankNo;
    //国 开 行 所属 账号类型
    private String chinaDevelopAccType;
    //支付匹配号
    private String payBillCode;
    //业务基础订单号
    private String alipayBaseOrderNumber;
    //业务描述
    private String alipayBusinessDescription;
    //备注1
    private String labelValue1;
    private String labelValue2;
    private String labelValue3;
    private String labelValue4;
    private String downloadNo;
    //排序规则
    private String sortRule;
    //明细编码
    private String orderNo;
    //商品名称
    private String alipayTradeName;
    //回单匹配号
    private String matchCode;
    //回单个性化描述
    private String receiptInfo;
    //凭证号
    private String billNum;
    //明细更新时间
    private String recTime;

    public String getBankAcc() {
        return bankAcc;
    }

    public void setBankAcc(String bankAcc) {
        this.bankAcc = bankAcc;
    }

    public String getBankSubAcc() {
        return bankSubAcc;
    }

    public void setBankSubAcc(String bankSubAcc) {
        this.bankSubAcc = bankSubAcc;
    }

    public String getAccName() {
        return accName;
    }

    public void setAccName(String accName) {
        this.accName = accName;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getOppAccNo() {
        return oppAccNo;
    }

    public void setOppAccNo(String oppAccNo) {
        this.oppAccNo = oppAccNo;
    }

    public String getOppAccBank() {
        return oppAccBank;
    }

    public void setOppAccBank(String oppAccBank) {
        this.oppAccBank = oppAccBank;
    }

    public String getCdSign() {
        return cdSign;
    }

    public void setCdSign(String cdSign) {
        this.cdSign = cdSign;
    }

    public String getCdSignName() {
        return cdSignName;
    }

    public void setCdSignName(String cdSignName) {
        this.cdSignName = cdSignName;
    }

    public String getAmt() {
        return amt;
    }

    public void setAmt(String amt) {
        this.amt = amt;
    }

    public String getBal() {
        return bal;
    }

    public void setBal(String bal) {
        this.bal = bal;
    }

    public String getTransTime() {
        return transTime;
    }

    public void setTransTime(String transTime) {
        this.transTime = transTime;
    }

    public String getSubSerialNo() {
        return subSerialNo;
    }

    public void setSubSerialNo(String subSerialNo) {
        this.subSerialNo = subSerialNo;
    }

    public String getSerialNo() {
        return serialNo;
    }

    public void setSerialNo(String serialNo) {
        this.serialNo = serialNo;
    }

    public String getCurCode() {
        return curCode;
    }

    public void setCurCode(String curCode) {
        this.curCode = curCode;
    }

    public String getUses() {
        return uses;
    }

    public void setUses(String uses) {
        this.uses = uses;
    }

    public String getAbs() {
        return abs;
    }

    public void setAbs(String abs) {
        this.abs = abs;
    }

    public String getVoucherNo() {
        return voucherNo;
    }

    public void setVoucherNo(String voucherNo) {
        this.voucherNo = voucherNo;
    }

    public String getBifCode() {
        return bifCode;
    }

    public void setBifCode(String bifCode) {
        this.bifCode = bifCode;
    }

    public String getBankType() {
        return bankType;
    }

    public void setBankType(String bankType) {
        this.bankType = bankType;
    }

    public String getOppBankType() {
        return oppBankType;
    }

    public void setOppBankType(String oppBankType) {
        this.oppBankType = oppBankType;
    }

    public String getIsForIndividual() {
        return isForIndividual;
    }

    public void setIsForIndividual(String isForIndividual) {
        this.isForIndividual = isForIndividual;
    }

    public String getSerialId() {
        return serialId;
    }

    public void setSerialId(String serialId) {
        this.serialId = serialId;
    }

    public String getBankSerialId() {
        return bankSerialId;
    }

    public void setBankSerialId(String bankSerialId) {
        this.bankSerialId = bankSerialId;
    }

    public String getGroupTrans() {
        return groupTrans;
    }

    public void setGroupTrans(String groupTrans) {
        this.groupTrans = groupTrans;
    }

    public String getCapitalTrans() {
        return capitalTrans;
    }

    public void setCapitalTrans(String capitalTrans) {
        this.capitalTrans = capitalTrans;
    }

    public String getPostScript() {
        return postScript;
    }

    public void setPostScript(String postScript) {
        this.postScript = postScript;
    }

    public String getAccType() {
        return accType;
    }

    public void setAccType(String accType) {
        this.accType = accType;
    }

    public String getAccTypeName() {
        return accTypeName;
    }

    public void setAccTypeName(String accTypeName) {
        this.accTypeName = accTypeName;
    }

    public String getCashTfrFlg() {
        return cashTfrFlg;
    }

    public void setCashTfrFlg(String cashTfrFlg) {
        this.cashTfrFlg = cashTfrFlg;
    }

    public String getChinaDevelopBankNo() {
        return chinaDevelopBankNo;
    }

    public void setChinaDevelopBankNo(String chinaDevelopBankNo) {
        this.chinaDevelopBankNo = chinaDevelopBankNo;
    }

    public String getChinaDevelopAccType() {
        return chinaDevelopAccType;
    }

    public void setChinaDevelopAccType(String chinaDevelopAccType) {
        this.chinaDevelopAccType = chinaDevelopAccType;
    }

    public String getPayBillCode() {
        return payBillCode;
    }

    public void setPayBillCode(String payBillCode) {
        this.payBillCode = payBillCode;
    }

    public String getAlipayBaseOrderNumber() {
        return alipayBaseOrderNumber;
    }

    public void setAlipayBaseOrderNumber(String alipayBaseOrderNumber) {
        this.alipayBaseOrderNumber = alipayBaseOrderNumber;
    }

    public String getAlipayBusinessDescription() {
        return alipayBusinessDescription;
    }

    public void setAlipayBusinessDescription(String alipayBusinessDescription) {
        this.alipayBusinessDescription = alipayBusinessDescription;
    }

    public String getLabelValue1() {
        return labelValue1;
    }

    public void setLabelValue1(String labelValue1) {
        this.labelValue1 = labelValue1;
    }

    public String getLabelValue2() {
        return labelValue2;
    }

    public void setLabelValue2(String labelValue2) {
        this.labelValue2 = labelValue2;
    }

    public String getLabelValue3() {
        return labelValue3;
    }

    public void setLabelValue3(String labelValue3) {
        this.labelValue3 = labelValue3;
    }

    public String getLabelValue4() {
        return labelValue4;
    }

    public void setLabelValue4(String labelValue4) {
        this.labelValue4 = labelValue4;
    }

    public String getDownloadNo() {
        return downloadNo;
    }

    public void setDownloadNo(String downloadNo) {
        this.downloadNo = downloadNo;
    }

    public String getSortRule() {
        return sortRule;
    }

    public void setSortRule(String sortRule) {
        this.sortRule = sortRule;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getAlipayTradeName() {
        return alipayTradeName;
    }

    public void setAlipayTradeName(String alipayTradeName) {
        this.alipayTradeName = alipayTradeName;
    }

    public String getMatchCode() {
        return matchCode;
    }

    public void setMatchCode(String matchCode) {
        this.matchCode = matchCode;
    }

    public String getReceiptInfo() {
        return receiptInfo;
    }

    public void setReceiptInfo(String receiptInfo) {
        this.receiptInfo = receiptInfo;
    }

    public String getBillNum() {
        return billNum;
    }

    public void setBillNum(String billNum) {
        this.billNum = billNum;
    }

    public String getRecTime() {
        return recTime;
    }

    public void setRecTime(String recTime) {
        this.recTime = recTime;
    }

    public String getOppAccName() {
        return oppAccName;
    }

    public void setOppAccName(String oppAccName) {
        this.oppAccName = oppAccName;
    }
}
