package com.hzya.frame.seeyon.receiptFor.entity;

import com.hzya.frame.web.entity.BaseEntity;

public class ReceiptForEntity extends BaseEntity {

    private String djrq;//field0003、单据日期、合同申请日期
    private String dwbm;
    private String hbbm;//field0090客商、客商编码、客商档案
    private String lrr;
    private String shr;
    private String shrq;
    private String state;
    private String djbh;//field0001、单据号

    private Long wldx;//field0004、往来对象
    private String deptid;//field0091部门、部门档案、部门编码
    private String ywybm;//field0092业务员、人员档案、业务员编码
    private String bfyhzh;//field0060收款银行账号、客户方账号
    private String skyhmc;//field0062收款银行名称、客户方开户行
    private String dfyhzh;//field0014付款银行账号，我方账号
    private String fkyhmc;//field0051付款银行名称，我方开户行

    private String bzbm;//field0072币种、默认“CNY”，币种编码

    private String dfbbje;
    private String dfybje;

    private String ddh;
    private String bbhl;
    private String contractno;
    private String djlxbm;//交易类型编码
    private String pj_jsfs;//结算方式编码
    private String scomment;//备注
    private String zyx22;//合同号
    private String zyx24;//合同名称
    private String zyx28;//用途
    private String szxmid;//收支项目

    public String getSzxmid() {
        return szxmid;
    }

    public void setSzxmid(String szxmid) {
        this.szxmid = szxmid;
    }

    public String getZyx28() {
        return zyx28;
    }

    public void setZyx28(String zyx28) {
        this.zyx28 = zyx28;
    }

    public String getZyx22() {
        return zyx22;
    }

    public void setZyx22(String zyx22) {
        this.zyx22 = zyx22;
    }

    public String getZyx24() {
        return zyx24;
    }

    public void setZyx24(String zyx24) {
        this.zyx24 = zyx24;
    }

    public String getScomment() {
        return scomment;
    }

    public void setScomment(String scomment) {
        this.scomment = scomment;
    }

    public String getPj_jsfs() {
        return pj_jsfs;
    }

    public void setPj_jsfs(String pj_jsfs) {
        this.pj_jsfs = pj_jsfs;
    }

    public String getDjlxbm() {
        return djlxbm;
    }

    public void setDjlxbm(String djlxbm) {
        this.djlxbm = djlxbm;
    }

    public String getDfbbje() {
        return dfbbje;
    }

    public void setDfbbje(String dfbbje) {
        this.dfbbje = dfbbje;
    }

    public String getDdh() {
        return ddh;
    }

    public void setDdh(String ddh) {
        this.ddh = ddh;
    }

    public String getBbhl() {
        return bbhl;
    }

    public void setBbhl(String bbhl) {
        this.bbhl = bbhl;
    }

    public String getContractno() {
        return contractno;
    }

    public void setContractno(String contractno) {
        this.contractno = contractno;
    }

    private String fph;//field0019发票号

    private String zy;//field0059摘要

    private String bzbm_code;//field0073币种编码

    public String getFph() {
        return fph;
    }

    public void setFph(String fph) {
        this.fph = fph;
    }

    public String getZy() {
        return zy;
    }

    public void setZy(String zy) {
        this.zy = zy;
    }

    public String getBzbm_code() {
        return bzbm_code;
    }

    public void setBzbm_code(String bzbm_code) {
        this.bzbm_code = bzbm_code;
    }

    public String getDjbh() {
        return djbh;
    }

    public void setDjbh(String djbh) {
        this.djbh = djbh;
    }

    public Long getWldx() {
        return wldx;
    }

    public void setWldx(Long wldx) {
        this.wldx = wldx;
    }

    public String getDeptid() {
        return deptid;
    }

    public void setDeptid(String deptid) {
        this.deptid = deptid;
    }

    public String getYwybm() {
        return ywybm;
    }

    public void setYwybm(String ywybm) {
        this.ywybm = ywybm;
    }

    public String getBfyhzh() {
        return bfyhzh;
    }

    public void setBfyhzh(String bfyhzh) {
        this.bfyhzh = bfyhzh;
    }

    public String getSkyhmc() {
        return skyhmc;
    }

    public void setSkyhmc(String skyhmc) {
        this.skyhmc = skyhmc;
    }

    public String getDfyhzh() {
        return dfyhzh;
    }

    public void setDfyhzh(String dfyhzh) {
        this.dfyhzh = dfyhzh;
    }

    public String getFkyhmc() {
        return fkyhmc;
    }

    public void setFkyhmc(String fkyhmc) {
        this.fkyhmc = fkyhmc;
    }

    public String getBzbm() {
        return bzbm;
    }

    public void setBzbm(String bzbm) {
        this.bzbm = bzbm;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getDfybje() {
        return dfybje;
    }

    public void setDfybje(String dfybje) {
        this.dfybje = dfybje;
    }

    public String getDjrq() {
        return djrq;
    }

    public void setDjrq(String djrq) {
        this.djrq = djrq;
    }

    public String getDwbm() {
        return dwbm;
    }

    public void setDwbm(String dwbm) {
        this.dwbm = dwbm;
    }

    public String getHbbm() {
        return hbbm;
    }

    public void setHbbm(String hbbm) {
        this.hbbm = hbbm;
    }

    public String getLrr() {
        return lrr;
    }

    public void setLrr(String lrr) {
        this.lrr = lrr;
    }

    public String getShr() {
        return shr;
    }

    public void setShr(String shr) {
        this.shr = shr;
    }

    public String getShrq() {
        return shrq;
    }

    public void setShrq(String shrq) {
        this.shrq = shrq;
    }
}
