package com.hzya.frame.u8c.salesBilling.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.service.impl.BaseService;
import com.hzya.frame.mdm.mdmModule.dao.IMdmModuleDao;
import com.hzya.frame.u8c.salesBilling.dao.IU8cSalesBillingDao;
import com.hzya.frame.u8c.salesBilling.entity.U8cSalesBillingEntity;
import com.hzya.frame.u8c.salesBilling.service.IU8cSalesBillingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service(value = "u8cSalesBillingService")
public class U8cSalesBillingServiceImpl extends BaseService<U8cSalesBillingEntity, String> implements IU8cSalesBillingService {

    private IU8cSalesBillingDao u8cSalesBillingDao;

    @Autowired
	public void setU8cSalesBillingDao(IU8cSalesBillingDao dao) {
		this.u8cSalesBillingDao = dao;
        this.dao = dao;
    }
    @Override
    public List<U8cSalesBillingEntity> queryDoSalesBilling(U8cSalesBillingEntity entity) {
        List<U8cSalesBillingEntity> u8cSalesBillingEntityList = u8cSalesBillingDao.queryDoSalesBilling(entity);
        return u8cSalesBillingEntityList;
    }

    @Override
    public int updateDoSalesBilling(U8cSalesBillingEntity entity) {
        return u8cSalesBillingDao.updateDoSalesBilling(entity);
    }
}
