package com.hzya.frame.u9c.itemmaster.dao;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.u9c.itemmaster.entity.VU9cItemmasterEntity;
import com.hzya.frame.basedao.dao.IBaseDao;

import java.util.List;

/**
 * (v_u9c_itemmaster: view)表数据库访问层
 *
 * @author xiaoguo
 * @since 2023-10-25 14:30:33
 */
public interface IVU9cItemmasterDao extends IBaseDao<VU9cItemmasterEntity, String> {
/***
 * @Content:查询U9C未推送的数据
 * @Author 👻👻👻👻yqh👻👻👻👻
 * @Date  2023年10月25日14:43:00
 * @Param
 * @return
 **/
@DS("henghua_sqlserver_test")
    List<VU9cItemmasterEntity> getu9cItemMaster(VU9cItemmasterEntity entity);

    /**
     * 更新U9C存货状态
     * @param itemmaster
     * @return
     */
    @DS("henghua_sqlserver_test")
    int updateItemMaster(VU9cItemmasterEntity itemmaster);
}

