package com.hzya.frame.u9c.itemmaster.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.u9c.itemmaster.entity.VU9cItemmasterEntity;
import com.hzya.frame.u9c.itemmaster.dao.IVU9cItemmasterDao;
import org.springframework.stereotype.Repository;
import com.hzya.frame.basedao.dao.MybatisGenericDao;

import java.util.List;

/**
 * (VU9cItemmaster)表数据库访问层
 *
 * @author xiaoguo
 * @since 2023-10-25 14:30:34
 */
@Repository(value = "VU9cItemmasterDaoImpl")
public class VU9cItemmasterDaoImpl extends MybatisGenericDao<VU9cItemmasterEntity, String> implements IVU9cItemmasterDao{
    @DS("henghua_sqlserver_test_xel")
    @Override
    public List<VU9cItemmasterEntity> getu9cItemMaster(VU9cItemmasterEntity entity) {
        return (List<VU9cItemmasterEntity>) super.selectList("com.hzya.frame.u9c.itemmaster.dao.impl.VU9cItemmasterDaoImpl.entity_list_base_item_master",entity);
    }
    @DS("henghua_sqlserver_test_xel")
    @Override
    public int updateItemMaster(VU9cItemmasterEntity itemmaster) {

        return super.update("com.hzya.frame.u9c.itemmaster.dao.impl.VU9cItemmasterDaoImpl.entity_update_item_master",itemmaster);
    }
}

